package com.jiayue.ipfcst.common.data.repository;

import com.jiayue.ipfcst.common.data.constant.enums.ChannelStatusEnum;
import com.jiayue.ipfcst.common.data.entity.UploadFileChannel;
import java.util.List;
import java.util.Optional;

/**
 * 上报文件通道表仓储
 *
 * @author xsl
 * @version 3.0
 */
public interface UploadFileChannelRepository extends BaseRepository<UploadFileChannel, Integer> {
    List<UploadFileChannel> findAllByUploadObjectId(Integer id);

    List<UploadFileChannel> findByRemoteIp(String remoteIp);

    void deleteAllByUploadObjectId(Integer uploadObjectId);

    List<UploadFileChannel> findByChannelStatusEnum(ChannelStatusEnum channelStatusEnum);
}
